Foxit PDF SDK

Public Member Functions | List of all members
FoxitPDFSDKPython3.ResultInformation Class Reference
Inheritance diagram for FoxitPDFSDKPython3.ResultInformation:

## Public Member Functions
def | ResultInformation ()
| Constructor.
def | ResultInformation (other)
| Constructor, with another result information object. More...
def | GetFixupData (index)
| Get a fixup data. More...
def | GetFixupDataCount ()
| Get count of fixup data. More...
def | GetHitData (index)
| Get a hit data. More...
def | GetHitDataCount ()
| Get count of hit data. More...
def | IsEmpty ()
| Check whether current object is empty or not. More...

## Detailed Description

This class represents the set of result information for verification or conversion process. Fixup data or hit data can be retrieved from the result information.

## Constructor & Destructor Documentation

## ◆ ResultInformation()

def FoxitPDFSDKPython3.ResultInformation.ResultInformation | ( |  | other | ) |

Constructor, with another result information object.

Parameters

  [in] | other | Another ResultInformation object.

## Member Function Documentation

## ◆ GetFixupData()

def FoxitPDFSDKPython3.ResultInformation.GetFixupData | ( |  | index | ) |

Get a fixup data.

Parameters

  [in] | index | Index of fixup data to be retrieved. Valid range: from 0 to (count-1). count is returned by function FoxitPDFSDKPython3.ResultInformation.GetFixupDataCount .

Returns
  Fixup data.

## ◆ GetFixupDataCount()

def FoxitPDFSDKPython3.ResultInformation.GetFixupDataCount | ( |  | ) |

Get count of fixup data.

Returns
  Count of fixup data.

## ◆ GetHitData()

def FoxitPDFSDKPython3.ResultInformation.GetHitData | ( |  | index | ) |

Get a hit data.

Parameters

  [in] | index | Index of hit data to be retrieved. Valid range: from 0 to (count-1). count is returned by function FoxitPDFSDKPython3.ResultInformation.GetHitDataCount .

Returns
  Hit data.

## ◆ GetHitDataCount()

def FoxitPDFSDKPython3.ResultInformation.GetHitDataCount | ( |  | ) |

Get count of hit data.

Returns
  Count of hit data.

## ◆ IsEmpty()

def FoxitPDFSDKPython3.ResultInformation.IsEmpty | ( |  | ) |

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  true means current object is empty, while false means not.